/*********************************************************
* Copyright (C), 2024-2030
* 文件名:	main.c
* 作  者:	
* 版  本:	
* 日  期:	
* 描  述:	timer2 抓取模式
* 备  注: 出厂默认IIC烧录口为P16-SDA、P11-SCL       
**********************************************************/
#include "BL51F003T.h"	
#include "main.h"
#include "stdio.h"
#include "Uart.h"
/**
	* @brief  Timer2抓取模式
  * @param  None
  * @retval None
	*/
void main()
{    
//	xram_clear();			//手动清RAM
	delay_ms(100);
	SYS_HRC_27M;				//主频27M 
//	WDT_RST_1000MS;			//WDT复位，时间为1s
//	WDT_OPEN;						//刷新WDT
	P03_FUN_OUTPUT;			//P03输出使能	
	P02_FUN_OUTPUT;			//P02输出使能	

#if (TIMER2_CAPTURE_MODE == 0)
	Timer2SoftCapture();//Timer2软件抓取
#else
	Timer2HwCapture();	//Timer2硬件抓取
#endif
	
	UART1_INIT();				//UART1初始化，波特率115200，TX-P14
	printf("\n------START------");
	init_timer0(); 			//TIME0配置
	INT_TIMER2;					//TIME2中断使能
	while(1)
	{
    delay_ms(100);
		WRITE_TEST();			//打印捕获数据
	}
}  